SoapHeader->__construct
SoapServer->addFunction
SOAP Functions
PHP Manual

# SoapParam->__construct

(No version information available, might be only in CVS)

SoapParam->__construct — SoapParam constructor

### Description

SoapParam
__construct ( mixed `$data` , string `$name` )

Constructs a new SoapParam object.

### Parameters

`data`

  The data to pass or return. You can pass this parameter directly as PHP value, but in this case it will be named as paramN and the SOAP Service may not understand it.

`name`

  The parameter name.

### Examples

Example #1 Some examples

`<?php
$client = new SoapClient(null,array('location' => "http://localhost/soap.php",
'uri' => "http://test-uri/"));
$client->SomeFunction(new SoapParam($a, "a"),
new SoapParam($b, "b"),
new SoapParam($c, "c"));
?>`

### See Also

- SoapClient->__soapCall
- SoapVar->__construct

SoapHeader->__construct
SoapServer->addFunction
SOAP Functions
PHP Manual